$a: abc;
.my-class-#{$a} {
  color: red;
  // #{$a}: 35px; // funciona em nome de propriedade também
}
/*
obs: comentário estilo 'múltiplas linhas' (com / * e * / ) interpretam interpolação

exemplo - interpolação da variável $a: #{$a}

alternativas:
a) apagar a interpolação quando usar esse tipo de comentário
b) usar comentário do tipo //
*/
